Package org.apache.cxf.feature

# Interface Feature

All Known Subinterfaces:
  `AbstractPortableFeature`

All Known Implementing Classes:
  `AbstractFeature`, `BeanValidationFeature`, `BeanValidationFeature.Portable`, `ClientBeanValidationFeature`, `ClientBeanValidationFeature.Portable`, `DelegatingFeature`, `FastInfosetFeature`, `FastInfosetFeature.Portable`, `GZIPFeature`, `GZIPFeature.Portable`, `JAASAuthenticationFeature`, `JAASAuthenticationFeature.Portable`, `LoggingFeature`, `LoggingFeature.Portable`, `SchemaValidationFeature`, `SchemaValidationFeature.Portable`, `StaxDataBindingFeature`, `StaxDataBindingFeature.Portable`, `StaxTransformFeature`, `StaxTransformFeature.Portable`, `WrappedFeature`, `WSAddressingFeature`, `XSLTFeature`, `XSLTFeature.Portable`

public interface Feature
A Feature is something that is able to customize a Server, Client, or Bus, typically adding capabilities. For instance, there may be a LoggingFeature which configures one of the above to log each of their messages.

By default the initialize methods all delegate to initializeProvider(InterceptorProvider). If you're simply adding interceptors to a Server, Client, or Bus, this allows you to add them easily.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initialize(Bus bus)`
  `void`
  `initialize(Client client, Bus bus)`
  `void`
  `initialize(Server server, Bus bus)`
  `void`
  `initialize(InterceptorProvider interceptorProvider, Bus bus)`

- ## Method Details

  - ### initialize

    void initialize(Server server, Bus bus)

  - ### initialize

    void initialize(Client client, Bus bus)

  - ### initialize

    void initialize(InterceptorProvider interceptorProvider, Bus bus)

  - ### initialize

    void initialize(Bus bus)